export type PlatformPair = {
    packager: string;
    name: string;
};
export type ToolTriplet = PlatformPair & {
    version: string;
};
export type PlatformEntry = {
    name: string;
    architecture: string;
    version: string;
    category: string;
    help: {
        online: string;
    };
    url: string;
    archiveFileName: string;
    checksum: string;
    size: string;
    boards: {
        name: string;
    }[];
    toolDependencies: ToolTriplet[];
    discoveryDependencies: PlatformPair[];
    monitorDependencies: PlatformPair[];
};
export type ToolSystemEntry = {
    size: string;
    checksum: string;
    host: string;
    archiveFileName: string;
    url: string;
};
export type ToolEntry = {
    name: string;
    version: string;
    systems: ToolSystemEntry[];
};
export type PackageEntry = {
    name: string;
    maintainer: string;
    websiteURL: string;
    email: string;
    platforms: PlatformEntry[];
    tools: ToolEntry[];
};
export type PackageSpec = {
    packages: PackageEntry[];
};
export declare const isPackageSpec: import("@freik/typechk").typecheck<{
    packages: PackageEntry[];
}>;
